Omnicept releases compatibility

On this page:

 

Omnicept versioning model

Omnicept uses Semantic Versioning for its runtime and client compatibility. To understand better how versions will affect your code let's take a look at semantic versioning: 

  • MAJOR version when you make incompatible API changes.
  • MINOR version when you add functionality in a backwards-compatible manner
  • PATCH version when you make backwards-compatible bug fixes

Versions are composed in the following way: MAJOR.MINOR.PATCH 

 

Unity Clients Compatibility

 

When

Omnicept SDK Version Tested Unity Version
1.10

2020.3.2f1 LTS 

 

Despite the Unity, the plugin is tested on the last LTS version we aim to provide the ability to use the omnicept plugin on the newest stable release when launching a new omnicept version.

 

Unreal Clients Compatibility

 

When developing an Unreal Client we provide 2 compiled versions of the plugin that has been tested by the QA team. As Unreal does not provide LTS versions we provide the plugin for the last two versions of unreal.

Omnicept SDK Version

Unreal 4.23 Unreal 4.24 Unreal 4.25 Unreal 4.26
1.10     x x

If you need an older unreal version supported for your project please raise a support ticket and we will work on adding the version as a spare download